<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Pistol_Base.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/daa/_pistol___base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">Pistol_Base.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d1/daa/_pistol___base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">represents weapon's stable state (i.e. the basic states that the weapon will spend the most time in)  <a href="../../dc/dcc/class_weapon_stable_state.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d5e/class_weapon_state_jammed.html">WeaponStateJammed</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">handle jamming state set jam/unjam state for weapon  <a href="../../db/d5e/class_weapon_state_jammed.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">shorthand  <a href="../../d3/d9c/class_weapon___base.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a01254921fa7633b3f421796d9b52d45f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45f">PistolAnimState</a> { <a class="el" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45fa88ec7d5086d2469ba843c7fcceade8a6">DEFAULT</a> = 0
, <a class="el" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45fa9e8f23063b1aa5fcdfdbf821649341d3">OPENED_DISCHARGED</a> = 1
, <a class="el" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45fa2a8cc3fc1057581826437d204ef762c4">CLOSED_CHARGED</a> = 2
, <a class="el" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45faad639e4ca3a26a00029522971c36d7b3">JAMMED</a> = 3
 }</td></tr>
<tr class="separator:a01254921fa7633b3f421796d9b52d45f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c105d8f63a37945d90c0c8957c76a3f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a7c105d8f63a37945d90c0c8957c76a3f">PistolStableStateID</a> </td></tr>
<tr class="separator:a7c105d8f63a37945d90c0c8957c76a3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae1a61abef7991922fcc93116e2c6ab76"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d1/daa/_pistol___base_8c.html#a7c105d8f63a37945d90c0c8957c76a3f">PistolStableStateID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#ae1a61abef7991922fcc93116e2c6ab76">OnEntry</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:ae1a61abef7991922fcc93116e2c6ab76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40f8697dfa587f8adabc8640bc98ad8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#aa40f8697dfa587f8adabc8640bc98ad8">OnExit</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:aa40f8697dfa587f8adabc8640bc98ad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fba6d4213ebbe1820d719974f601736"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a8fba6d4213ebbe1820d719974f601736">GetCurrentStateID</a> ()</td></tr>
<tr class="separator:a8fba6d4213ebbe1820d719974f601736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49d3803bebd844c3f873106849df18a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#ab49d3803bebd844c3f873106849df18a">HasBullet</a> ()</td></tr>
<tr class="separator:ab49d3803bebd844c3f873106849df18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2a2200b1debc914a8e34252c33e8dfe"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#af2a2200b1debc914a8e34252c33e8dfe">HasMagazine</a> ()</td></tr>
<tr class="separator:af2a2200b1debc914a8e34252c33e8dfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac14d196e64cad535c5aa50f0c954df3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#aac14d196e64cad535c5aa50f0c954df3">IsJammed</a> ()</td></tr>
<tr class="separator:aac14d196e64cad535c5aa50f0c954df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5505b40857f04731ef377a6be07e9d8c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a5505b40857f04731ef377a6be07e9d8c">IsRepairEnabled</a> ()</td></tr>
<tr class="separator:a5505b40857f04731ef377a6be07e9d8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecb416b07a0879e66f05969cc59bd671"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#aecb416b07a0879e66f05969cc59bd671">InitMuzzleArray</a> ()</td></tr>
<tr class="separator:aecb416b07a0879e66f05969cc59bd671"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6ce26a62afab55d7606ad4e92428b30c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a> = 0</td></tr>
<tr class="separator:a6ce26a62afab55d7606ad4e92428b30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a334790f9dbd0aac031beb3a5baaf66ee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a334790f9dbd0aac031beb3a5baaf66ee">CLO_DIS_BU0_MA0</a> = 1</td></tr>
<tr class="separator:a334790f9dbd0aac031beb3a5baaf66ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aa9692c45f4e895612c4c2fa70c1e9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a5aa9692c45f4e895612c4c2fa70c1e9b">CLO_CHG_BU0_MA0</a> = 2</td></tr>
<tr class="separator:a5aa9692c45f4e895612c4c2fa70c1e9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f7f0b00175180d9669b59d9ada004e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#aa2f7f0b00175180d9669b59d9ada004e">CLO_CHG_BU1_MA0</a> = 3</td></tr>
<tr class="separator:aa2f7f0b00175180d9669b59d9ada004e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a955f08d19797f0c11027e80c7fa79d22"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a955f08d19797f0c11027e80c7fa79d22">CLO_JAM_BU1_MA0</a> = 4</td></tr>
<tr class="separator:a955f08d19797f0c11027e80c7fa79d22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a64a89c45a33a1ba7a5e373a47b8519"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a9a64a89c45a33a1ba7a5e373a47b8519">OPE_DIS_BU0_MA0</a> = 5</td></tr>
<tr class="separator:a9a64a89c45a33a1ba7a5e373a47b8519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2463393d60b3ed2de8960b6f122970f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#af2463393d60b3ed2de8960b6f122970f">CLO_CHG_BU0_MA1</a> = 6</td></tr>
<tr class="separator:af2463393d60b3ed2de8960b6f122970f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac283787367f915384a0c13ff44398d59"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#ac283787367f915384a0c13ff44398d59">CLO_DIS_BU0_MA1</a> = 7</td></tr>
<tr class="separator:ac283787367f915384a0c13ff44398d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0a390760584e10de173ad7ba9167900"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#ad0a390760584e10de173ad7ba9167900">CLO_JAM_BU1_MA1</a> = 8</td></tr>
<tr class="separator:ad0a390760584e10de173ad7ba9167900"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99de46b38fd872440adae9a3fce00ff1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a99de46b38fd872440adae9a3fce00ff1">CLO_CHG_BU1_MA1</a> = 9</td></tr>
<tr class="separator:a99de46b38fd872440adae9a3fce00ff1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97cdba04c1c161385f69203ae7f8110c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#a97cdba04c1c161385f69203ae7f8110c">OPE_DIS_BU0_MA1</a> = 10</td></tr>
<tr class="separator:a97cdba04c1c161385f69203ae7f8110c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa493cbbdb69320e3b0a7c64469a86eed"><td class="memItemLeft" align="right" valign="top">class Pistol_CLO_CHG_BU0_MA0 extends <a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/_pistol___base_8c.html#aa493cbbdb69320e3b0a7c64469a86eed">OnEntry</a></td></tr>
<tr class="separator:aa493cbbdb69320e3b0a7c64469a86eed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a01254921fa7633b3f421796d9b52d45f" name="a01254921fa7633b3f421796d9b52d45f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01254921fa7633b3f421796d9b52d45f">&#9670;&#160;</a></span>PistolAnimState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45f">PistolAnimState</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a01254921fa7633b3f421796d9b52d45fa88ec7d5086d2469ba843c7fcceade8a6" name="a01254921fa7633b3f421796d9b52d45fa88ec7d5086d2469ba843c7fcceade8a6"></a>DEFAULT&#160;</td><td class="fielddoc"><p >default weapon state, closed and discharged </p>
</td></tr>
<tr><td class="fieldname"><a id="a01254921fa7633b3f421796d9b52d45fa9e8f23063b1aa5fcdfdbf821649341d3" name="a01254921fa7633b3f421796d9b52d45fa9e8f23063b1aa5fcdfdbf821649341d3"></a>OPENED_DISCHARGED&#160;</td><td class="fielddoc"><p >opened and discharged </p>
</td></tr>
<tr><td class="fieldname"><a id="a01254921fa7633b3f421796d9b52d45fa2a8cc3fc1057581826437d204ef762c4" name="a01254921fa7633b3f421796d9b52d45fa2a8cc3fc1057581826437d204ef762c4"></a>CLOSED_CHARGED&#160;</td><td class="fielddoc"><p >closed and charged </p>
</td></tr>
<tr><td class="fieldname"><a id="a01254921fa7633b3f421796d9b52d45faad639e4ca3a26a00029522971c36d7b3" name="a01254921fa7633b3f421796d9b52d45faad639e4ca3a26a00029522971c36d7b3"></a>JAMMED&#160;</td><td class="fielddoc"><p >jammed weapon </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00002">2</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a7c105d8f63a37945d90c0c8957c76a3f" name="a7c105d8f63a37945d90c0c8957c76a3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c105d8f63a37945d90c0c8957c76a3f">&#9670;&#160;</a></span>PistolStableStateID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/daa/_pistol___base_8c.html#a7c105d8f63a37945d90c0c8957c76a3f">PistolStableStateID</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00012">12</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8fba6d4213ebbe1820d719974f601736" name="a8fba6d4213ebbe1820d719974f601736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fba6d4213ebbe1820d719974f601736">&#9670;&#160;</a></span>GetCurrentStateID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetCurrentStateID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00031">31</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="ab49d3803bebd844c3f873106849df18a" name="ab49d3803bebd844c3f873106849df18a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab49d3803bebd844c3f873106849df18a">&#9670;&#160;</a></span>HasBullet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasBullet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00032">32</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="af2a2200b1debc914a8e34252c33e8dfe" name="af2a2200b1debc914a8e34252c33e8dfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2a2200b1debc914a8e34252c33e8dfe">&#9670;&#160;</a></span>HasMagazine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasMagazine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00033">33</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="aecb416b07a0879e66f05969cc59bd671" name="aecb416b07a0879e66f05969cc59bd671"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecb416b07a0879e66f05969cc59bd671">&#9670;&#160;</a></span>InitMuzzleArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void InitMuzzleArray </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00036">36</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="aac14d196e64cad535c5aa50f0c954df3" name="aac14d196e64cad535c5aa50f0c954df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac14d196e64cad535c5aa50f0c954df3">&#9670;&#160;</a></span>IsJammed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsJammed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00034">34</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a5505b40857f04731ef377a6be07e9d8c" name="a5505b40857f04731ef377a6be07e9d8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5505b40857f04731ef377a6be07e9d8c">&#9670;&#160;</a></span>IsRepairEnabled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsRepairEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00035">35</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="ae1a61abef7991922fcc93116e2c6ab76" name="ae1a61abef7991922fcc93116e2c6ab76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1a61abef7991922fcc93116e2c6ab76">&#9670;&#160;</a></span>OnEntry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/daa/_pistol___base_8c.html#a7c105d8f63a37945d90c0c8957c76a3f">PistolStableStateID</a> OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="aa40f8697dfa587f8adabc8640bc98ad8" name="aa40f8697dfa587f8adabc8640bc98ad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa40f8697dfa587f8adabc8640bc98ad8">&#9670;&#160;</a></span>OnExit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00030">30</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a5aa9692c45f4e895612c4c2fa70c1e9b" name="a5aa9692c45f4e895612c4c2fa70c1e9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aa9692c45f4e895612c4c2fa70c1e9b">&#9670;&#160;</a></span>CLO_CHG_BU0_MA0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLO_CHG_BU0_MA0 = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00032">32</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="af2463393d60b3ed2de8960b6f122970f" name="af2463393d60b3ed2de8960b6f122970f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2463393d60b3ed2de8960b6f122970f">&#9670;&#160;</a></span>CLO_CHG_BU0_MA1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLO_CHG_BU0_MA1 = 6</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00036">36</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="aa2f7f0b00175180d9669b59d9ada004e" name="aa2f7f0b00175180d9669b59d9ada004e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f7f0b00175180d9669b59d9ada004e">&#9670;&#160;</a></span>CLO_CHG_BU1_MA0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLO_CHG_BU1_MA0 = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00033">33</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a99de46b38fd872440adae9a3fce00ff1" name="a99de46b38fd872440adae9a3fce00ff1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99de46b38fd872440adae9a3fce00ff1">&#9670;&#160;</a></span>CLO_CHG_BU1_MA1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLO_CHG_BU1_MA1 = 9</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00039">39</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a334790f9dbd0aac031beb3a5baaf66ee" name="a334790f9dbd0aac031beb3a5baaf66ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a334790f9dbd0aac031beb3a5baaf66ee">&#9670;&#160;</a></span>CLO_DIS_BU0_MA0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLO_DIS_BU0_MA0 = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00031">31</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="ac283787367f915384a0c13ff44398d59" name="ac283787367f915384a0c13ff44398d59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac283787367f915384a0c13ff44398d59">&#9670;&#160;</a></span>CLO_DIS_BU0_MA1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLO_DIS_BU0_MA1 = 7</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00037">37</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a955f08d19797f0c11027e80c7fa79d22" name="a955f08d19797f0c11027e80c7fa79d22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a955f08d19797f0c11027e80c7fa79d22">&#9670;&#160;</a></span>CLO_JAM_BU1_MA0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLO_JAM_BU1_MA0 = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00034">34</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="ad0a390760584e10de173ad7ba9167900" name="ad0a390760584e10de173ad7ba9167900"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0a390760584e10de173ad7ba9167900">&#9670;&#160;</a></span>CLO_JAM_BU1_MA1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLO_JAM_BU1_MA1 = 8</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00038">38</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="aa493cbbdb69320e3b0a7c64469a86eed" name="aa493cbbdb69320e3b0a7c64469a86eed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa493cbbdb69320e3b0a7c64469a86eed">&#9670;&#160;</a></span>OnEntry</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class Pistol_CLO_CHG_BU0_MA0 extends <a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a> OnEntry</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a64a89c45a33a1ba7a5e373a47b8519" name="a9a64a89c45a33a1ba7a5e373a47b8519"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a64a89c45a33a1ba7a5e373a47b8519">&#9670;&#160;</a></span>OPE_DIS_BU0_MA0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OPE_DIS_BU0_MA0 = 5</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00035">35</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a97cdba04c1c161385f69203ae7f8110c" name="a97cdba04c1c161385f69203ae7f8110c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97cdba04c1c161385f69203ae7f8110c">&#9670;&#160;</a></span>OPE_DIS_BU0_MA1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OPE_DIS_BU0_MA1 = 10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00040">40</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a6ce26a62afab55d7606ad4e92428b30c" name="a6ce26a62afab55d7606ad4e92428b30c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce26a62afab55d7606ad4e92428b30c">&#9670;&#160;</a></span>UNKNOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ UNKNOWN = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00030">30</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../d1/daa/_pistol___base_8c.html">Pistol_Base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
